# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Data-Dump
Version:	1.23
Release:	3.%{__distinit}%{__distvers}
Summary:	Pretty printing of data structures
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Data-Dump/
Source0:	http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/Data-Dump-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(overload)
BuildRequires:	perl(strict)
BuildRequires:	perl(subs)
BuildRequires:	perl(Term::ANSIColor)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(IO::Socket::INET)
BuildRequires:	perl(Symbol)
BuildRequires:	perl(Test)
BuildRequires:	perl(Test::More)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(MIME::Base64)

%description
This module provides a single function called dump() that takes a list of
values as its argument and produces a string as its result. The string
contains Perl code that, when evaled, produces a deep copy of the original
arguments. The string is formatted for easy reading.

%prep
%setup -q -n Data-Dump-%{version}

# Placate rpmlint...
perl -pi -e 's|^#!perl|#!/usr/bin/perl|' t/*

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes README t/
%{perl_vendorlib}/Data/
%{_mandir}/man3/Data::Dump.3*
%{_mandir}/man3/Data::Dump::Filtered.3*
%{_mandir}/man3/Data::Dump::Trace.3*

%changelog
* Fri Aug 12 2016 Paul Howarth <paul@city-fan.org> - 1.23-3
- BR: perl-generators where available
- Simplify find command using -delete

* Sat Jun 13 2015 Paul Howarth <paul@city-fan.org> - 1.23-1
- Update to 1.23
  - Avoid "Negative repeat count does nothing" warnings from perl-5.22
  - Typo fixes by David Steinbrunner
- Classify buildreqs by usage
- Drop %%defattr, redundant since rpm 4.4

* Fri Jul 12 2013 Paul Howarth <paul@city-fan.org> - 1.22-2
- Perl 5.18 rebuild

* Mon May 13 2013 Paul Howarth <paul@city-fan.org> - 1.22-1
- Update to 1.22
  - Deal with class names containing '=' (CPAN RT#72415)
  - Filters now get access to $ctx->expr, the textual expression denoting the
    current object
- BR: perl(Test)

* Wed Oct 10 2012 Paul Howarth <paul@city-fan.org> - 1.21-4
- Import from Fedora

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jun 10 2012 Petr Pisar <ppisar@redhat.com> - 1.21-2
- Perl 5.16 rebuild

* Tue Jan 17 2012 Iain Arnell <iarnell@gmail.com> - 1.21-1
- Update to latest upstream version
- Add perl_default_filter

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.19-2
- Perl mass rebuild

* Thu May 12 2011 Iain Arnell <iarnell@gmail.com> - 1.19-1
- Update to latest upstream version
- Clean up spec for modern rpmbuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.15-4
- Rebuild to fix problems with vendorarch/lib (#661697)

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.15-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.15-2
- Rebuild against perl 5.10.1

* Fri Jul 31 2009 Chris Weyl <cweyl@alumni.drew.edu> - 1.15-1
- Auto-update to 1.15 (by cpan-spec-update 0.01)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 11 2009 Chris Weyl <cweyl@alumni.drew.edu> - 1.14-1
- Update to 1.14

* Thu Sep 25 2008 Chris Weyl <cweyl@alumni.drew.edu> - 1.11-1
- Update to 1.11

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.08-4
- Rebuild for new perl

* Mon Oct 22 2007 Chris Weyl <cweyl@alumni.drew.edu> - 1.08-3
- Update license tag: GPL -> GPL+

* Mon Apr 30 2007 Chris Weyl <cweyl@alumni.drew.edu> - 1.08-2
- Bump

* Tue Apr 10 2007 Chris Weyl <cweyl@alumni.drew.edu> - 1.08-1
- Specfile autogenerated by cpanspec 1.70
